package com.goldenwater.hzz.mapper;

import com.goldenwater.hzz.domain.WpsDTO;
import org.apache.ibatis.annotations.Param;
import java.util.List;

public interface HzzWpsMapper {
    List<WpsDTO> querySupervision(@Param("sProjectName") String pn, @Param("startDate") String sd, @Param("endDate") String ed);
    List<WpsDTO> queryXmList();
    int insertShxmDc(WpsDTO dto);
    int insertShxmFiles(@Param("list") List<WpsDTO> files);
    int updateShxmDc(WpsDTO dto);
    int deleteShxmDcFiles(@Param("guid") String g);
    int deleteShxmDc(@Param("guid") String g);
}
